Arlo|Smart Home Security|Wireless HD Security Cameras
× Urgent: Activate Two-Step Verification
Arlo requires all users to activate two-step verification to continue to access your recordings, devices, and account.
Please enable this feature now. Learn More.

"A new version of Adobe Flash player is required. Please install the latest version here."

Reply
Discussion stats
  • 15 Replies
  • 8735 Views
  • 6 Likes
  • 8 In Conversation
StuBee
Luminary
Luminary

When I visit the website "my.arlo.com" on my pc to view Arlo recordings the banner at the top of Chrome states:

"A new version of Adobe Flash player is required. Please install the latest version here."

I can ignore it, because the videos do work fine, but the banner is annoying while it is displayed as it blocks some top options"

 

Questions:

a) Does arlo really still use Flash on their website.  I thought this was not an advised format, and companies had switched to other methods (ie html5)

b) Why do you think it occurs in my pc's Chrome Browser?

 

 

 

Model: VMB3000 | Arlo Base Station

Accepted Solutions
StephenB
Guru Guru
Guru

@Rodelu1957 wrote:
Where have you posted the fix for Firefox??? StephenB!

Well, it's not a fix.  It is just the steps to the "flash dance" you need to do in order to live stream or watch the recordings.

 

It's here: https://community.arlo.com/t5/Arlo-Pro/Adobe-Flash-Player-Update-Failure/m-p/1723149#M61559

 

This assumes that flash is installed on the PC already (not needed for Chrome or Edge, since those browsers have flash built in).

View solution in original post


All Replies
jguerdat
Guru Guru
Guru

A quick search here on "Flash" would get you many results and responses. The latest versions of various browsers disable Flash by default. Since Flash is built into Chrome (and a few others such as Edge), you just click on the "click here" link in the warning banner an allow Flash to run. Note that you'll have to do this every time you restart Chrome. I use sleep modes rather than powering off and leave Chrome running so it's not often that I have to do this.

 

At some point (supposedly 2020), Flash is going totally away and Arlo will have to change over to HTML5.

JerryR
Luminary
Luminary

Knowing that Flash is going away (and this isn't a new development) AND that the popup is annoying its users, Arlo needs to get it's a** in gear and fix this.

StuBee
Luminary
Luminary

I guess with Chrome Blocking Adobe by default this message occurs....although it is incorrect in saying "A new version is required".  It's really that it is blocked by the browser.  You think they could update that.  (happens in both chrome and firefox).

 

I agree they should switch now rather than later since it already affects their user community.

 

FYI:  The library view still plays videos without flash.  it's the live view that doesn't work.

 

 

 

Bagiocop
Tutor
Tutor

I loved the previous answers to this problem; switch to another browser. Yes and I could switch to Apple, I could switch to Toyta, I could switch wives but none of that fixes the problem. 

Rodelu1957
Aspirant
Aspirant

I was on chat to a rep about this same problem - SHE HUNG UP ON ME!!!!

I will never buy Arlo again!

zlk2000
Aspirant
Aspirant

Mine doesn't work either. I have Chrome and I have updated and enabled flash and still cant get live feed.

jguerdat
Guru Guru
Guru

Did you click on the "click here" link in the Flash warning banner and then allow?

StephenB
Guru Guru
Guru

@Bagiocop wrote:

I loved the previous answers to this problem; switch to another browser. 


I've posted how-tos for edge, chrome, and firefox.  I don't use IE or Safari, so I haven't explored those.

Rodelu1957
Aspirant
Aspirant
Where have you posted the fix for Firefox??? StephenB!
StephenB
Guru Guru
Guru

@Rodelu1957 wrote:
Where have you posted the fix for Firefox??? StephenB!

Well, it's not a fix.  It is just the steps to the "flash dance" you need to do in order to live stream or watch the recordings.

 

It's here: https://community.arlo.com/t5/Arlo-Pro/Adobe-Flash-Player-Update-Failure/m-p/1723149#M61559

 

This assumes that flash is installed on the PC already (not needed for Chrome or Edge, since those browsers have flash built in).

View solution in original post

Rodelu1957
Aspirant
Aspirant
Thanks a lot. I will double check and do this again. I am somewhat hopeful 😉
Rodelu1957
Aspirant
Aspirant

Thank you so much StephenB that did the trick!!!

 

I'd figure the rep on the chat would know this as opposed to directing me to download Chrome (no thanks) !!!

It's not like people are not having this problem everywhere. Makes you wonder about their training.

Model: VMB4000 | Arlo Pro/Pro2 Base Station
libertymls
Aspirant
Aspirant

I have installed newest version and still dont have live feed

StephenB
Guru Guru
Guru

@libertymls wrote:

I have installed newest version and still dont have live feed


Newest version of what?  If you are talking about the web client, it'd be helpful to know what browser you are using.

Rodelu1957
Aspirant
Aspirant
StephenB posted this link to a way of making it work. It is:

https://community.arlo.com/t5/Arlo-Pro/Adobe-Flash-Player-Update-Failure/m-p/1723149#M61559

Make sure you find the icon that looks like a Lego block!

Thanks again to StephenB!